### A free/open-source library for quantitative finance

Public Member Functions
Collar Class Reference
Financial instruments

Concrete collar class. More...

`#include <ql/instruments/capfloor.hpp>`

Inheritance diagram for Collar:
[legend]

List of all members.

## Public Member Functions

| Collar (const Leg &floatingLeg, const std::vector< Rate > &capRates, const std::vector< Rate > &floorRates)

## Detailed Description

Concrete collar class.